//removing dusts by the hammer
onEvent('recipes', event => {
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_copper'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_aluminum'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_lead'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_silver'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_nickel'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_uranium'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_iron'});
  event.remove({id: 'immersiveengineering:crafting/hammercrushing_gold'});
})

//removing blends form immersive
onEvent('recipes', event => {
  //nuggets
  event.remove({output: 'thermal:copper_nugget'});
  event.remove({output: 'immersiveengineering:nugget_copper'});
  event.remove({output: 'immersiveengineering:nugget_lead'});
  event.remove({output: 'immersiveengineering:nugget_silver'});
  event.remove({output: 'immersiveengineering:nugget_nickel'});
  event.remove({output: 'immersiveengineering:nugget_constantan'});
  event.remove({output: 'immersiveengineering:nugget_electrum'});
  //ingots
  event.remove({output: 'immersiveengineering:ingot_copper'});
  event.remove({output: 'immersiveengineering:ingot_lead'});
  event.remove({output: 'immersiveengineering:ingot_silver'});
  event.remove({output: 'immersiveengineering:ingot_nickel'});
  event.remove({output: 'immersiveengineering:ingot_constantan'});
  event.remove({output: 'immersiveengineering:ingot_electrum'});
  //blocks
  event.remove({output: 'immersiveengineering:storage_copper'});
  event.remove({output: 'immersiveengineering:storage_lead'});
  event.remove({output: 'immersiveengineering:storage_silver'});
  event.remove({output: 'immersiveengineering:storage_nickel'});
  event.remove({output: 'immersiveengineering:storage_constantan'});
  event.remove({output: 'immersiveengineering:storage_electrum'});
  //dusts
  event.remove({output: 'immersiveengineering:dust_copper'});
  event.remove({output: 'immersiveengineering:dust_lead'});
  event.remove({output: 'immersiveengineering:dust_silver'});
  event.remove({output: 'immersiveengineering:dust_nickel'});
  event.remove({output: 'immersiveengineering:dust_constantan'});
  event.remove({output: 'immersiveengineering:dust_electrum'});
  event.remove({output: 'immersiveengineering:dust_iron'});
  event.remove({output: 'immersiveengineering:dust_gold'});
  //plates
  event.remove({output: 'immersiveengineering:plate_copper'});
  event.remove({output: 'immersiveengineering:plate_lead'});
  event.remove({output: 'immersiveengineering:plate_silver'});
  event.remove({output: 'immersiveengineering:plate_nickel'});
  event.remove({output: 'immersiveengineering:plate_constantan'});
  event.remove({output: 'immersiveengineering:plate_electrum'});
})
